clang-tools 8.0.0

Namespaces | Functions
AST.cpp File Reference
`#include "AST.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Index/USRGeneration.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/ScopedPrinter.h"`
Include dependency graph for AST.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
bool | clang::clangd::isSpelledInSourceCode (const Decl *D)
bool | clang::clangd::isImplementationDetail (const Decl *D)
| Returns true if the declaration is considered implementation detail based on heuristics. More...
SourceLocation | clang::clangd::findNameLoc (const clang::Decl *D)
| Find the identifier source location of the given D. More...
std::string | clang::clangd::printQualifiedName (const NamedDecl &ND)
| Returns the qualified name of ND. More...
static const TemplateArgumentList * | clang::clangd::getTemplateSpecializationArgs (const NamedDecl &ND)
std::string | clang::clangd::printName (const ASTContext &Ctx, const NamedDecl &ND)
| Prints unqualified name of the decl for the purpose of displaying it to the user. More...
std::string | clang::clangd::printNamespaceScope (const DeclContext &DC)
| Returns the first enclosing namespace scope starting from `DC`. More...
llvm::Optional< SymbolID > | clang::clangd::getSymbolID (const Decl *D)
| Gets the symbol ID for a declaration, if possible. More...
llvm::Optional< SymbolID > | clang::clangd::getSymbolID (const IdentifierInfo &II, const MacroInfo *MI, const SourceManager &SM)
| Gets the symbol ID for a macro, if possible. More...